Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

csseditor.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: siteconfig.php,v 1.4.2.2 2002/03/04 12:56:24 ce Exp $
5 //
6 // Created on: <12-Jul-2001 10:45:55 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezhttptool.php" );
30 // include_once( "classes/ezfile.php" );
31
32
33 if ( isset( $Store ) )
34 {
35 if ( file_exists( "design/standard/style.css" ) )
36 $fp = eZPBFile::fopen( "design/standard/style.css", "w+");
37 else
38 $fp = eZPBFile::fopen( "design/ecommerce/style.css", "w+");
39
40 $Contents =& str_replace ("\r", "", $Contents );
41 fwrite ( $fp, $Contents );
42 fclose( $fp );
43 }
44
45
46 $ini =& eZINI::instance( 'site.ini' );
47 $Language = $ini->variable( "eZSiteManagerMain", "Language" );
48
49 $t = new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
50 "kernel/ezsitemanager/admin/" . "/intl", $Language, "csseditor.php" );
51 $t->setAllStrings();
52
53 $t->set_file( "site_config_tpl", "csseditor.tpl" );
54
55 if ( file_exists( "design/standard/style.css" ) )
56 $lines = eZPBFile::file( "design/standard/style.css" );
57 else
58 $lines = eZPBFile::file( filename: "design/ecommerce/style.css" );
59
60 $contents = "";
61 foreach ( $lines as $line )
62 {
63 $contents .= stripslashes($line);
64 }
65
66 $t->set_var( "file_contents", htmlspecialchars( $contents ) );
67 $t->set_var( "file_name", isset( $fileName ) ? $fileName : '' );
68
69 $t->pparse( "output", "site_config_tpl" );
70
71 ?>
eZPBFile\fopen
static fopen( $filename, $options)
Definition: ezpbfile.php:326
eZPBFile\file
static file( $filename)
Definition: ezpbfile.php:428
eZTemplate
Definition: eztemplate.php:107
$t
$t
Definition: csseditor.php:49
$contents
$contents
Definition: csseditor.php:60
$Language
$Language
Definition: csseditor.php:47
$ini
if(isset( $Store)) $ini
Definition: csseditor.php:46
$lines
else $lines
Definition: csseditor.php:58
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$fp
$fp
Definition: export.php:97
$fileName
if(eZObjectPermission::hasPermission( $file->id(), "filemanager_file", "r", $user)==false) $fileName
Definition: ezfilemanager/user/filedownload.php:43
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.